export const routerConfig = [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  { path: '/', redirect: '/welcome' },
  {
    path: '/',
    component: '../layouts/BasicLayout',
    routes: [
      {
        name: '欢迎',
        path: '/welcome',
        icon: 'smile',
        component: './Welcome',
      },
      {
        name: '数据统计',
        path: '/statistics',
        icon: 'dashboard',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ]
      },
      {
        name: '我的家族',
        path: '/myfamily',
        icon: 'dashboard',
        component: './Family/FamilyDetails'
        // routes: [
        //   { component: './Family/FamilyDetails', }
        // ]
      },
      {
        name: '家族管理',
        path: '/family',
        icon: 'cluster',
        routes: [
          {
            name: '技能认证列表',
            path: '/family/skillList',
            component: './Family/SkillAuditList'
          },
          {
            name: '技能订单列表',
            path: '/family/orderList',
            component: './Family/SkillOrderList'
          },
          {
            name: '语音速配记录',
            path: '/family/voiceChatList',
            component: './Family/VoiceChatList'
          },
          {
            name: '签约列表',
            path: '/family/memberAudit',
            component: './Family/MemberAuditList'
          },
          {
            name: '家族成员管理',
            path: '/family/management',
            component: './Family/Peoplemanagement'
          },
          {
            name: '成员详情',
            path: '/family/management/details',
            component: './Family/Userdetail',
            hideInMenu: true
          },
        ],
      },
      {
        name: '主播管理',
        path: '/anchors',
        icon: 'flag',
        hideInMenu: true,
        routes: [
          {
            name: '主播列表',
            path: '/anchors/list',
            component: './Anchors/AnchorList'
          },
          {
            name: '主播审核列表',
            path: '/anchors/auditlist',
            component: './Anchors/AnchorAuditList'
          },
          {
            name: '主播详情',
            path: '/anchors/list/details',
            component: './Anchors/AnchorDetail',
            hideInMenu: true
          },
        ],
      },
      {
        name: '语聊管理',
        path: '/chatRoom',
        icon: 'shop',
        routes: [
          {
            name: '房间列表',
            path: '/chatRoom/roomList',
            component: './ChatRoom/ChatRoomList',
          },
          {
            name: '房间详情',
            path: '/chatRoom/roomList/roomDetails',
            component: './ChatRoom/ChatRoomDetails',
            hideInMenu: true
          },
          {
            name: '房间流水',
            path: '/ChatRoom/chatRoomflow',
            component: './ChatRoom/ChatRoomflow'
          },
          // {
          //   name: '电台主持流水',
          //   path: '/ChatRoom/Radiohostflow',
          //   component: './ChatRoom/Radiohostflow'
          // },

        ]
      },
      {
        name: '管理员管理',
        path: '/admin',
        icon: 'tool',
        routes: [
          {
            name: '管理员列表',
            path: '/admin/list',
            component: './Admin/AdminList',
          }
        ],
      },
      {
        name: '财务管理',
        path: '/money',
        icon: 'dollar',
        routes: [
          {
            name: '账户管理',
            path: '/money/withdraw',
            component: './Money/AccountList',
          },
          {
            name: '提现管理',
            path: '/money/withdraw/record',
            component: './Money/WithdrawRecord',
          },
          {
            name: '账户明细',
            path: '/money/accountdetails',
            component: './Money/Accountdetails'
          }
        ],
      },
      {
        name: '活动管理',
        path: '/activity',
        icon: 'flag',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
      {
        name: '系统管理',
        path: '/system',
        icon: 'setting',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
      {
        name: '财务管理',
        path: '/finance',
        icon: 'dollar',
        hideInMenu: true,
        routes: [
          {
            component: './404',
          },
        ],
      },
    ],
  },
  {
    component: './404',
  },
];
