import React, { Component } from 'react'
import { Icon, Tooltip } from 'antd'

const _style = {
  cursor: 'pointer',
  color: '#ff4d5c',
  padding: '0 4px'
}

// 复制文本
const copyText = (value, cb) => {
  if (!value) {
    return
  }
  // for modern browser
  if (document.execCommand) {
    var element = document.createElement('SPAN')
    element.textContent = value
    document.body.appendChild(element)
    if (document.selection) {
      var range = document.body.createTextRange()
      range.moveToElementText(element)
      range.select()
    } else if (window.getSelection) {
      var range = document.createRange()
      range.selectNode(element)
      window.getSelection().removeAllRanges()
      window.getSelection().addRange(range)
    }
    document.execCommand('copy')
    element.remove ? element.remove() : element.removeNode(true)
  }
  // for ie
  if (window.clipboardData) {
    window.clipboardData.setData('text', value)
  }
  cb && cb()
}
class CopyCmp extends Component {
  constructor (props) {
    super(props)
    this.state = {
      copying: false,
      _title: '复制'
    }
  }
  onCopy = () => {
    const { value } = this.props
    this.setState({
      copying: true
    }, () => {
      copyText(value, () => {
        // success
        this.setState({
          _title: '复制成功'
        })

        this.timer = setTimeout(() => {
          this.setState({
            copying: false,
            _title: '复制'
          })
        }, 1000)
      })
    })
  }
  render () {
    const { copying, _title } = this.state
    return (
      <Tooltip title={_title}>
        <Icon type={copying ? 'check' : 'copy' } style={_style} onClick={this.onCopy} />
      </Tooltip>
    )
  }
}
export default CopyCmp
