/**
 * 
 * 1v1 信息
 */
import React from 'react'
import { Card, Descriptions } from 'antd'
import { getWalletTypeStr } from '@/utils/base'
import ReactPlayer from 'react-player'
import styles from './DetailSingleInfo.less'

class DetailSingleInfo extends React.Component {
  render () {
    const { info = {} } = this.props
    const { 
      // 单聊视频
      singleChatVideo, 
      // 单聊价格类型
      singleChatPriceType, 
      // 单聊价格
      singleChatPrice, 
      // 单聊状态
      singleChatStatus,
      // 单聊平均分
      singleChatScoreAverage,
      // 单聊超时次数
      singleChatTimeoutTimes,
      // 单聊接通次数
      singleChatConnectTimes,
      // 视频单聊分钟数
      singleChatMinutes,
      // 单聊评分
      singleChatScore,
      // 单聊评价次数
      singleChatEvaluateTimes,
      // 单聊分类
      singleChatCategoryName,
    } = info
    return (
      <Card title='1v1信息'>
        <Descriptions bordered>
          <Descriptions.Item label='状态'>
            {singleChatStatus === 1 ? '聊天中' : '空闲'}
          </Descriptions.Item>
          <Descriptions.Item label='价格'>
            {singleChatPrice} ({getWalletTypeStr(singleChatPriceType)})
          </Descriptions.Item>
          <Descriptions.Item label='单聊分类'>
            {singleChatCategoryName || '-'}
          </Descriptions.Item>
          
          <Descriptions.Item label='单聊超时次数'>
            {singleChatTimeoutTimes}
          </Descriptions.Item>
          <Descriptions.Item label='单聊接通次数'>
            {singleChatConnectTimes}
          </Descriptions.Item>
          <Descriptions.Item label='视频单聊分钟数'>
            {singleChatMinutes}
          </Descriptions.Item>

          <Descriptions.Item label='单聊评分'>
            {singleChatScore}
          </Descriptions.Item>
          <Descriptions.Item label='单聊评价次数'>
            {singleChatEvaluateTimes}
          </Descriptions.Item>
          <Descriptions.Item label='单聊平均评分'>
            {singleChatScoreAverage}
          </Descriptions.Item>


          <Descriptions.Item label='视频' span={3}>
            {
              singleChatVideo
              ? <div className={styles['video-wrap']}>
                <ReactPlayer
                  url={singleChatVideo}
                  controls
                  width='100%'
                  height='100%'
                />
              </div>
              : '-'
            } 
          </Descriptions.Item>
        </Descriptions>
      </Card>
    )
  }
}
export default DetailSingleInfo
