/**
 * 
 * 推流记录
 */
import React, { Component } from 'react'
import { Modal, Select, Form, Radio, Result, Table } from 'antd'
import styles from './ShowPushStreams.less'
import { getLiveStreamHis, getLiveHis } from '@/services/manage'
import { getDate, getStreamStatusStr } from '@/utils/base'

const _style = {
  width: '100%'
}
const Column = Table.Column
class ShowPushStreams extends Component {
  constructor (props) {
    super(props)
    this.state = {}
  }
  componentDidMount () {
    const { record } = this.props 
    if (record && record.hisId) {
      this.onInit(record)
    } 
  }

  onInit = async ({ hisId }) => {
    const _state = {
      loading: false
    }
    try {
      this.setState({ loading: true })
      const streamRes = await getLiveStreamHis({
        liveHisId: hisId
      })
      // const detailRes = await getLiveHis({
      //   hisId
      // })
      if (streamRes.code === 'OK' && streamRes.data) {
        const list = streamRes.data
        list && list.forEach((item) => {
          item.streamStartTime = item.streamStartTime * 1000
          item.streamStopTime = item.streamStopTime * 1000
        })
        _state.list = list
      }
    } catch (e) {
      console.log(e)
    }
    this.setState(_state)
  }

  // 点击确定 上传数据
  onOk = () => {
    const { onOk }  = this.props 
    onOk && onOk()
  }
  
  render () {
    const { list, loading } = this.state
    return (
      <Modal
        title='推流记录'
        onCancel={this.props.onCancel}
        onOk={this.onOk}
        visible
        okText={'知道了'}
        width={1000}
        loading={loading}
      >
        <div>
          <Table
            dataSource={list}
            bordered
            pagination={false}
            rowKey='hisId'
          >
            <Column 
              title='开始时间'
              key='streamStartTime'
              dataIndex='streamStartTime'
              render={(streamStartTime) => (streamStartTime ? getDate(streamStartTime) : '-')}
            />
            <Column 
              title='结束时间'
              key='streamStopTime'
              dataIndex='streamStopTime'
              render={(text, { streamStopTime }) => (streamStopTime ? getDate(streamStopTime) : '-')}
            />
            <Column 
              title='推流状态'
              key='streamStatus'
              dataIndex='streamStatus'
              render={(text, { streamStatus }) => (getStreamStatusStr(streamStatus))}
            />
            <Column 
              title='推流ip地址'
              key='hisIpAddress'
              dataIndex='hisIpAddress'
            />
          </Table>
        </div>
      </Modal>
    )
  }
}

export default ShowPushStreams
