import { stringify } from 'qs';
import request from '@/utils/request';


// 封面图上传
export const getRtcRoomCoverUploadConfig = (params) => {
  return request(`/api-common/v1/data/getRtcRoomCoverUploadConfig?${stringify(params)}`)
}

// ===================================================================
// 聊天室管理 
// 聊天室管理 -- 获取列表
export const getRtcRoomPageList = (params) => {
  return request(`/api-family/v1/rtc/getRtcRoomPageList?${stringify(params)}`)
}
// 聊天室管理 -- 更新状态
export const updateRtcRoomStatus = (params) => {
  return request('/api-family/v1/rtc/updateRtcRoomStatus', {
    method: 'POST',
    body: params,
  })
}
// 聊天室管理 -- 聊天室详情
export const getRtcRoomDetail = (params) => {
  return request(`/api-family/v1/rtc/getRtcRoomDetail?${stringify(params)}`)
}
// 聊天室管理 -- 设置热门
export const setRoomHotEnable = (params) => {
  return request('/api-family/v1/rtc/setRoomHotEnable', {
    method: 'POST',
    body: params,
  })
}

// 聊天室管理 -- 修改房间号 
export const updateRoomNo = (params) => {
  return request('/api-family/v1/rtc/updateRoomNo', {
    method: 'POST',
    body: params,
  })
}

// --------------------------------------------------------------------
// 语聊统计
export const getRoomStat = (params) => {
  return request(`/api-family/v1/stat/getRoomStat?${stringify(params)}`)
}

// 
// 聊天室分类 -- 列表
export const getRtcCategoryPageList = (params) => {
  return request(`/api-family/v1/data/getRtcCategoryPageList?${stringify(params)}`)
}
// 创建房间
export const createRoom = (params) => {
  return request('/api-family/v1/rtc/createRoom', {
    method: 'POST',
    body: params,
  })
}


// 获取房间日流水
export const getRtcRoomDayStream = (params = {}) => {
  return request(`/api-family/v1/rtc/getRtcRoomDayStream?${stringify(params)}`)
}

// 获取房间周流水
export const getRtcRoomWeekStream = (params = {}) => {
  return request(`/api-family/v1/rtc/getRtcRoomWeekStream?${stringify(params)}`)
}
// 获取房间月流水
export const getRtcRoomMonthStream = (params = {}) => {
  return request(`/api-family/v1/rtc/getRtcRoomMonthStream?${stringify(params)}`)
}

// 房间流水 -- 起始时间
export const getRtcRoomStream = (params = {}) => {
  return request(`/api-family/v1/rtc/getRtcRoomStream?${stringify(params)}`)
}