import moment from 'moment'
// 状态
export const categoryStatus = [
  { key: 1, value: '已启用' },
  { key: 0, value: '已停用' },
]
export const getCategoryStatusStr = status => {
  const obj = categoryStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}
// 背景图状态
export const backgroundStatus = [
  { key: 1, value: '已启用' },
  { key: 0, value: '已停用' },
]
export const getBackgroundStatusStr = status => {
  const obj = categoryStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}
// 聊天室状态
export const chatRoomStatus = [
  { key: 1, value: '已启用' },
  { key: 0, value: '已停用' },
]
export const getChatRoomStatusStr = status => {
  const obj = chatRoomStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}

// 聊天室用户权限状态
export const userPermissionStatus = [
  { key: 1, value: '已启用' },
  { key: 0, value: '已停用' },
]
export const getUserPermissionStatusStr = status => {
  const obj = userPermissionStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}

// 将日期补满
export const getDayFilledList = ({ startTime, endTime }) => {
  let startMoment = moment(startTime)
  let startDate = startMoment.format('YYYYMMDD')
  let endDate = moment(endTime).format('YYYYMMDD')
  let filledArray = [{
    day: startDate,
    statValue: '0'
  }]
  while (startDate !== endDate) {
    startDate = startMoment.date(startMoment.date() + 1).format('YYYYMMDD')
    filledArray.unshift({
      day: startDate,
      statValue: '0'
    })
  }
  return filledArray
}

// 将周补满
export const getWeekFilledList = () => {
  let filledArray = []
  const currentWeek = moment().week()
  for (let i = currentWeek; i > 0; i--) {
    const startMoment = moment().week(i)
    const endMoment = moment().week(i)
    filledArray.push({
      weekOfYear: i,
      statValue: '0',
      startDate: startMoment.startOf('isoWeek').date(startMoment.date()).format('YYYYMMDD'),
      endDate: endMoment.endOf('isoWeek').date(endMoment.date()).format('YYYYMMDD')
    })
  }
  return filledArray
}

// 将月份补满
export const getMonthFilledList = () => {
  let filledArray = []
  const currentMonth = moment().month()
  
  for (let i = currentMonth; i >= 0; i--) {
    filledArray.push({
      statValue: '0',
      statMonth: moment().month(i).format('YYYYMM'),
      startDate: moment().month(i).startOf('month').format('YYYYMMDD'),
      endDate: moment().month(i).endOf('month').format('YYYYMMDD')
    })
  }
  return filledArray
}
