/**
 * 
 * 设置房间编号
 */
import React, { Component } from 'react'
import { Modal, Select, Form, Input } from 'antd'
import styles from './SetRoomNo.less'
import { updateRoomNo } from '../../api'

const _style = {
  width: '100%'
}
// 下拉框
const Option = Select.Option

// 表单响应配置
const formItemLayout = {
  labelCol: {
    xs: { span: 24 },
    sm: { span: 6 },
  },
  wrapperCol: {
    xs: { span: 24 },
    sm: { span: 16 },
  },
}

@Form.create()
class SetRoomNo extends Component {
  constructor (props) {
    super(props)
    this.state = {}
  }
  componentDidMount () {
    // const { roomNo } = this.props
  }
  // 点击确定 上传数据
  onOk = () => {
    const { form, roomId } = this.props 
    form.validateFieldsAndScroll((errors, values) => {
      if (errors) {
        return
      }
      values.roomId = roomId
      this.onPost(values)
    })
  }
  // 上传数据
  onPost = async (params) => {
    let _code = ''
    try { 
      this.setState({ uploading: true })
      const { code } = await updateRoomNo(params)
      _code = code
    } catch (e) {
      console.log(e)
    }
    this.setState({ uploading: false })
    if (_code === 'OK') {
      const { onOk } = this.props 
      onOk && onOk()
    }
  }
  render () {
    const { form, roomNo } = this.props 
    const { uploading } = this.state
    const { getFieldDecorator } = form
    return (
      <Modal
        title='编辑房间编号'
        onCancel={this.props.onCancel}
        onOk={uploading ? null : this.onOk}
        visible
        okButtonProps={{ loading: uploading }}
      >
        <Form {...formItemLayout}>
          <Form.Item
            label='原编号'
          >
            {roomNo}
          </Form.Item>
          <Form.Item
            label='房间编号'
          >
            {getFieldDecorator('roomNo', {
              rules: [{ required: true, message: '请输入房间编号' }],
            })(
              <Input 
                placeholder='请输入房间编号'
              />
            )}
          </Form.Item>
        </Form>
      </Modal>
    )
  }
}
export default SetRoomNo
