// 状态
export const reportStatus = [
  { key: 1, value: '已启用' },
  { key: 0, value: '已停用' },
]
export const getStatusStr = status => {
  const obj = reportStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}

// 审核状态
export const commonAuditStatus = [
  { key: 0, value: '待审核' },
  { key: 1, value: '通过' },
  { key: 2, value: '拒绝' },
]
export const getCommonAuditStatusStr = status => {
  const obj = commonAuditStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}

// 申请类型
export const applyTypeArray = [
  { key: 0, value: '签约' },
  { key: 1, value: '解约' },
  { key: 3, value: '家族解约' },
]
export const getApplyTypeStr = status => {
  const obj = applyTypeArray.find(item => item.key === status)
  return obj ? obj.value : '-'
}

// 支付状态
export const orderPayStatus = [
  { key: 11, value: '待支付' },
  { key: 21, value: '支付失败' },
  { key: 22, value: '支付取消' },
  { key: 99, value: '支付成功' },
]
export const getOrderPayStatusStr = status => {
  const obj = orderPayStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}
// 订单状态
export const orderStatusArray = [
  { key: 100, value: '待接单' },
  { key: 200, value: '待服务' },
  { key: 210, value: '服务中' },
  { key: 300, value: '已完成' },
  { key: 310, value: '已取消' },
  { key: 320, value: '已拒绝' },
  { key: 400, value: '已评价' },
]
export const getOrderStatusStr = status => {
  const obj = orderStatusArray.find(item => item.key === status)
  return obj ? obj.value : '-'
}

// 将日期补满
export const getDayFilledList = ({ startTime, endTime }) => {
  let startMoment = moment(startTime)
  let startDate = startMoment.format('YYYYMMDD')
  let endDate = moment(endTime).format('YYYYMMDD')
  let filledArray = [{
    day: startDate,
    statValue: '0'
  }]
  while (startDate !== endDate) {
    startDate = startMoment.date(startMoment.date() + 1).format('YYYYMMDD')
    filledArray.unshift({
      day: startDate,
      statValue: '0'
    })
  }
  return filledArray
}

// 将周补满
export const getWeekFilledList = () => {
  let filledArray = []
  const currentWeek = moment().week()
  for (let i = currentWeek; i > 0; i--) {
    const startMoment = moment().week(i)
    const endMoment = moment().week(i)
    filledArray.push({
      weekOfYear: i,
      statValue: '0',
      startDate: startMoment.startOf('isoWeek').date(startMoment.date()).format('YYYYMMDD'),
      endDate: endMoment.endOf('isoWeek').date(endMoment.date()).format('YYYYMMDD')
    })
  }
  return filledArray
}

// 将月份补满
export const getMonthFilledList = () => {
  let filledArray = []
  const currentMonth = moment().month()

  for (let i = currentMonth; i >= 0; i--) {
    filledArray.push({
      statValue: '0',
      statMonth: moment().month(i).format('YYYYMM'),
      startDate: moment().month(i).startOf('month').format('YYYYMMDD'),
      endDate: moment().month(i).endOf('month').format('YYYYMMDD')
    })
  }
  return filledArray
}
// 语音速配 状态
export const voiceChatStatus = [
  { key: 101, value: '呼叫中' },
  { key: 201, value: '通话中' },
  { key: 301, value: '已结束' },
  { key: 302, value: '已取消' },
  { key: 303, value: '已拒绝' },
];
export const getVoiceChatStatusStr = status => {
  const obj = voiceChatStatus.find(item => item.key === status)
  return obj ? obj.value : '-'
}
// stopReason
export const voiceChatStopReasons = [
  { key: 101, value: '计费失败' },
  { key: 102, value: '余额不足' },
  { key: 201, value: '用户挂断' },
  { key: 202, value: '对方挂断' },
  { key: 301, value: '用户离开' },
  { key: 401, value: '对方离开' },
  { key: 999, value: '其它' },
]
export const getVoiceChatStopReasonStr = status => {
  const obj = voiceChatStopReasons.find(item => item.key === status)
  return obj ? obj.value : '-'
}
