/**
 * 
 * 签约 审核
 */
import React, { Component } from 'react'
import { Modal, Form, Input, Radio } from 'antd'
import styles from './AuditMember.less'
import { setFamilyAuditStatus } from '../../api'
// 表单响应配置
const formItemLayout = {
  labelCol: {
    xs: { span: 24 },
    sm: { span: 6 },
  },
  wrapperCol: {
    xs: { span: 24 },
    sm: { span: 16 },
  },
}

@Form.create()
class AuditMember extends Component {
  constructor(props) {
    super(props)
    this.state = {}
  }
  componentDidMount() { }
  // 点击确定 上传数据
  onOk = () => {
    const { form, record } = this.props
    const { auditId } = record

    form.validateFieldsAndScroll((errors, values) => {
      if (errors) {
        return
      }
      const {
        ...others
      } = values
      const params = others
      params.auditId = auditId
      this.onPost(params)
    })
  }
  // 上传数据
  onPost = async (params) => {
    let _code = ''
    try {
      this.setState({ uploading: true })
      const { code } = await setFamilyAuditStatus(params)
      _code = code
    } catch (e) {
      console.log(e)
    }
    this.setState({ uploading: false })
    if (_code === 'OK') {
      const { onOk } = this.props 
      onOk && onOk()
    }
  }
  render() {
    const { onCancel, form } = this.props
    const { getFieldDecorator } = form
    const { uploading } = this.state
    return (
      <Modal
        title='签约审核'
        onCancel={onCancel}
        onOk={uploading ? null : this.onOk}
        width={520}
        visible
        okButtonProps={{
          loading: uploading
        }}
        okText='确定'
        cancelText='取消'
      >
        <Form {...formItemLayout} className={styles['wrap']}>

          <Form.Item
            label='审核状态'
          >
            {getFieldDecorator('auditStatus', {
              rules: [{ required: true, message: '请选择审核状态' }],
            })(
              <Radio.Group>
                <Radio value={1}>通过</Radio>
                <Radio value={2}>驳回</Radio>
              </Radio.Group>
            )}
          </Form.Item>
          
          <Form.Item
            label='审核备注'
          >
            {getFieldDecorator('auditMsg', {
              rules: [{ required: false, message: '请输入审核备注' }],
            })(
              <Input.TextArea
                placeholder='请输入审核备注'
                className={styles['form-textarea']}
              />
            )}
          </Form.Item>

        </Form>
      </Modal>
    )
  }
}
export default AuditMember
