import MD5 from './Security'
import { Base64 as Base64Npm } from 'js-base64'
export const Base64 = Base64Npm
export { default as MyDate } from './MyDate'

// 获取时间
export const getDate = (nDate = (new Date()), fmt = 'yyyy-MM-dd hh:mm:ss') => {
  const sDate = new Date(nDate)
  const dateObj = {
    'M+': sDate.getMonth() + 1,
    'd+': sDate.getDate(),
    'h+': sDate.getHours(),
    'm+': sDate.getMinutes(),
    's+': sDate.getSeconds(),
    'q+': Math.floor((sDate.getMonth() + 3) / 3),
    'S': sDate.getMilliseconds()
  }
  if (/(y+)/.test(fmt)) {
    fmt = fmt.replace(RegExp.$1, (sDate.getFullYear() + '')
      .substr(4 - RegExp.$1.length))
  }
  for (const s in dateObj) {
    if (new RegExp('(' + s + ')').test(fmt)) {
      fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1)
        ? (dateObj[s])
        : (('00' + dateObj[s]).substr(('' + dateObj[s]).length)))
    }
  }
  return fmt
}

export const regIntNumber = /^[1-9]\d*$/
//贵族登记
export const getNobility = (nobleLevelLimit) => {
  let result = ''
  switch (nobleLevelLimit) {
    case 0:
      result = '不限'
      break;
    case 1:
      result = '男爵'
      break;
    case 2:
      result = '子爵'
      break;
    case 3:
      result = '伯爵'
      break;
    case 4:
      result = '侯爵'
      break;
    case 5:
      result = '公爵'
      break;
    case 6:
      result = '国王'
      break;
    case 7:
      result = '皇帝'
      break;

    default:
      break;
  }
  return result
}

//礼物类型
export const getGiftType = (giftType) => {
  let result = ''
  switch (giftType) {
    case 1:
      result = '普通礼物'
      break;
    case 2:
      result = '幸运礼物'
      break;
    case 3:
      result = '红包礼物'
      break;

    default:
      break;
  }
  return result
}

//礼物分类
export const getGiftCategory = (giftCategory) => {
  let result = ''
  switch (giftCategory) {
    case 1:
      result = '经典'
      break;

    default:
      break;
  }
  return result
}

//礼物价格类型
export const getGiftPriceType = (giftPriceType) => {
  let result = ''
  switch (giftPriceType) {
    case 11:
      result = '星钻'
      break;

    default:
      break;
  }
  return result
}

export { showSuccess, showError, showInfo } from './notice'
export const encryptMd5 = MD5.encryptMd5

// 推流状态
export const streamStatusArray = [
  { key: 101, value: '推流中' },
  { key: 201, value: '已关闭' },
]
export const getStreamStatusStr = (key) => {
  const obj = streamStatusArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 钱包类型
export const walletTypeArray = [
  { key: 11, value: '星钻' },
  { key: 12, value: '星元' },
  { key: 21, value: '星币' },
]

export const getWalletTypeStr = (key) => {
  const obj = walletTypeArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}
// 创建技能 单位
export const skillUnitArray = [
  { key: 1, value: '星钻/次' },
  { key: 2, value: '星钻/分钟' },
  { key: 3, value: '星钻/半小时' },
  { key: 4, value: '星钻/局' },
  { key: 5, value: '星钻/首' },
]
export const getSkillUnitStr = (key) => {
  const obj = skillUnitArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 语音房角色
export const chatRoomRoleArray = [
  { key: 1, value: '观众' },
  { key: 2, value: '主持人' },
  { key: 3, value: '房管' },
  { key: 4, value: '房主' },
  { key: 5, value: '超管' },
]
export const getChatRoomRoleStr = (key) => {
  const obj = chatRoomRoleArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}
// 房间类型
export const chatRoomTypeArray = [
  { key: 0, value: '普通房间' },
  { key: 101, value: '相亲房' },
  { key: 201, value: '派单房' },
  { key: 301, value: '拍卖房' },
  // { key: 301, value: '语聊房打招呼' },
]
export const getChatRoomTypeStr = (key) => {
  const obj = chatRoomTypeArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 语聊统计类型
export const crStatTypeArray = [
  { key: 10100, value: '赠送星钻' }
]
export const getCrStatTypeStr = (key) => {
  const obj = crStatTypeArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}
//货币类型
export const getWalletType = (walletType) => {
  let result = ''
  switch (walletType) {
    case 11:
      result = '星钻'
      break;
    case 12:
      result = '星元'
      break;
    case 21:
      result = '星币'
      break;
    case 22:
      result = '星尘'
      break;
    case 23:
      result = '粉钻'

    default:
      break;
  }
  return result
}

export const blobToUrlAndDown = (blob, name = '下载', ext = 'xlsx') => {
  const url = window.URL.createObjectURL(blob)
  const a = document.createElement('a')
  a.href = url
  a.download = name + '.' + ext
  a.click()
}
